#pragma once

#include <stdio.h>
#include <stdlib.h>

// A regular node with a left and right branch
struct Node {
  int data;
  struct Node *left, *right;
};
typedef struct Node Node;

// Represents a tree with a root node
struct Tree {
  Node *root;
};
typedef struct Tree Tree;

int tree_insert(Tree *tree, int data);
int tree_remove(Tree *tree, int data);
int tree_clear(Tree *tree);
int tree_size(Tree *tree);
